package xyz.mcutils.models.player;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

import java.util.HashMap;
import java.util.Map;

@Getter @ToString
public class Skin {
    /**
     * The URL for the skin
     */
    private String url;

    /**
     * The model for the skin
     */
    private Model model;

    /**
     * The legacy status of the skin
     */
    private boolean legacy;

    /**
     * The part URLs of the skin
     */
    private Map<String, String> parts = new HashMap<>();

    /**
     * The model of the skin.
     */
    public enum Model {
        DEFAULT,
        SLIM
    }

    @AllArgsConstructor
    @Getter
    public enum SkinPart {
        HEAD("head"),
        FACE("face"),
        BODY("body");

        /**
         * The name of the skin part
         */
        private final String name;
    }

}
